CallbackFilterIterator
CallbackFilterIterator::__construct
CallbackFilterIterator
PHP Manual

# CallbackFilterIterator::accept

(PHP 5 >= 5.4.0)

CallbackFilterIterator::accept — Calls the callback with the current value, the current key and the inner iterator as arguments

### Description

public string CallbackFilterIterator::accept ( void )

This method calls the callback with the current value, current key and the inner iterator.

The callback is expected to return `TRUE` if the current item is to be accepted, or `FALSE` otherwise.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` to accept the current item, or `FALSE` otherwise.

### See Also

- CallbackFilterIterator Examples
- CallbackFilterIterator::__construct() - Create a filtered iterator from another iterator

CallbackFilterIterator
CallbackFilterIterator::__construct
CallbackFilterIterator
PHP Manual